/*------------------------------------------------------------------------------
--  This file is a part of the ColorMapChart API
--  Copyright (C) 2016, Plasma Physics Laboratory - CNRS
--
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 2 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-------------------------------------------------------------------------------*/
/*--                  Author : Hugo Winter
--                     Mail : hugo.winter@lpp.polytechnique.fr
----------------------------------------------------------------------------*/
#ifndef QCOLORMAPLEGENDMARKER_H
#define QCOLORMAPLEGENDMARKER_H

#include <QtCharts/QChartGlobal>
#include <QtCharts/QLegendMarker>
#include <QtCharts/QColorMapSeries>

QT_CHARTS_BEGIN_NAMESPACE

class QColorMapLegendMarkerPrivate;

class QColorMapLegendMarker : public QLegendMarker
{
        Q_OBJECT
public:
    explicit QColorMapLegendMarker(QColorMapSeries *series, QLegend *legend, QObject *parent = 0);
    virtual ~QColorMapLegendMarker();

    virtual LegendMarkerType type() { return LegendMarkerTypeColorMap; }

    // Related series
    virtual QColorMapSeries* series();

protected:
    QColorMapLegendMarker(QColorMapLegendMarkerPrivate &d, QObject *parent = 0);

private:
    Q_DECLARE_PRIVATE(QColorMapLegendMarker)
    Q_DISABLE_COPY(QColorMapLegendMarker)
};

QT_CHARTS_END_NAMESPACE

#endif // QCOLORMAPLEGENDMARKER_H
